Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class StringLiteral

    java.lang.Object
      org.jbpm.jpdl.el.impl.Expression
          org.jbpm.jpdl.el.impl.Literal
              org.jbpm.jpdl.el.impl.StringLiteral

    public class StringLiteral

extends Literal

An expression representing a String literal value.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Method Summary
`static StringLiteral` | `fromLiteralValue(java.lang.String pValue)` Returns a StringLiteral with the given string value
`static StringLiteral` | `fromToken(java.lang.String pToken)` Returns a StringLiteral parsed from the given token (enclosed by single or double quotes)
`java.lang.String` | `getExpressionString()` Returns the expression in the expression language syntax
`static java.lang.String` | `getValueFromToken(java.lang.String pToken)` Parses the given token into the literal value
`static java.lang.String` | `toIdentifierToken(java.lang.String pValue)` Converts the specified value to an identifier token, escaping it as a string literal if necessary.
`static java.lang.String` | `toStringToken(java.lang.String pValue)` Converts the specified value to a String token, using " as the enclosing quotes and escaping any characters that need escaping.

Methods inherited from class org.jbpm.jpdl.el.impl.Literal
`evaluate, getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fromToken

    public static StringLiteral fromToken(java.lang.String pToken)

  Returns a StringLiteral parsed from the given token (enclosed by single or double quotes)

### fromLiteralValue

    public static StringLiteral fromLiteralValue(java.lang.String pValue)

  Returns a StringLiteral with the given string value

### getValueFromToken

    public static java.lang.String getValueFromToken(java.lang.String pToken)

  Parses the given token into the literal value

### toStringToken

    public static java.lang.String toStringToken(java.lang.String pValue)

  Converts the specified value to a String token, using " as the enclosing quotes and escaping any characters that need escaping.

### toIdentifierToken

    public static java.lang.String toIdentifierToken(java.lang.String pValue)

  Converts the specified value to an identifier token, escaping it as a string literal if necessary.

### getExpressionString

    public java.lang.String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD